﻿@model IEnumerable<EnergyMission.Domain.Entities.ClientTeamMemberEntity>
<link href="/Content/teams.css" rel="stylesheet" />
@{
    EnergyMission.Domain.Entities.ClientTeamMemberEntity clients = new EnergyMission.Domain.Entities.ClientTeamMemberEntity();
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
        }
<script src="/Scripts/jquery-2.2.2.min.js"></script>
<script src="/Scripts/jquery-ui-1.8.20.min.js"></script>
    <script>

        
        function OnSuccess(data, gvName) {
            //alert(data);
            //pcModalMode.Hide();

            var gridInstance = ASPxClientControl.GetControlCollection().GetByName(gvName);
            //gridInstance.PerformCallback("refresh");
            gridInstance.Refresh();

            $("#errorssms").hide();
        }


        function editRow(s, e) {
            s.GetRowValues(e.visibleIndex, "Id", OnGetRowValues);
        }

        function onComboBoxSelectedIndexChanged(s, e) {
            var value = s.GetValue();
            $('#PersonId').val(value);
        }
        function onComboBoxSelectedIndexChanged1(s, e) {
            var value = s.GetValue();
            $('#ClientTeamId').val(value);
        }
        function OnGetRowValues(data) {
            //
    
            var value = data;
            @*teams = value;
              
            
            var values = "@cs.GetTeamId(teams)";
            alert(values);
            $("#lblteamname").text(values);*@
            $('#clientTeam div').html('')

           $.ajax({
            url: '/ClientTeamMembers/ForTeamGridViewPartial',
            type: "Get",
            dataType: 'html',
            contenttype: 'application/html; charset=utf-8',
            data: { "TeamId": value },

            success: function (data) {
        
                $("#clientTeam").html(data);
            },
            error: function (xhr , status, error) {
                alert(xhr.responseText);
            }
        });


    }

    $(document).ready(function () {

        var value= "@ViewBag.msg";

        if(value=="")
        {

            $("#errorssms").hide();
        }
        else
        {
            $("#errorssms").show();

        }


 
        //$("#personname").autocomplete({
        //    source: function (request, response) {
        //        $.ajax({
        //            url: "/ClientTeamMembers/getpersons",
        //            type: "POST",
        //            dataType: "json",
        //            data: { Prefix: request.term },
        //            success: function (data) {

        //                response($.map(data.result, function (item) {
        //                    return { label: item.firstName, value: item.firstName, Test: item.id };
        //                }))

        //            }

        //        })
        //    },
        //    select: function (event, ui) {

        //        $('#PersonId').val(ui.item.Test);
        //        $('[PersonId=options]').val(ui.item.Test);//To select Blue
        //    },
        //    messages: {
        //        noResults: "", results: ""
        //    }
        //});

        
        //$("#teamname").autocomplete({
        //    source: function (request, response) {
        //        $.ajax({
        //            url: "/ClientTeamMembers/GetTeam",
        //            type: "POST",
        //            dataType: "json",
        //            data: { Prefix: request.term },
        //            success: function (data) {

        //                response($.map(data.result, function (item) {
        //                    return { label: item.name, value: item.name, Test: item.id };
        //                }))

        //            }

        //        })
        //    },
        //    select: function (event, ui) {

        //        $('#ClientTeamId').val(ui.item.Test);
        //        $('[ClientTeamId=options]').val(ui.item.Test);//To select Blue
        //    },
        //    messages: {
        //        noResults: "", results: ""
        //    }
        //});
        });


        //$("#personname").autocomplete({
        //    source: function (request, response) {
        //        $.ajax({
        //            url: "/ClientTeamMembers/getpersons",
        //            type: "Get",
        //            dataType: "json",
        //            data: { Prefix: request.term },
        //            success: function (data) {
        //                response($.each(data.result, function (item) {
        //                    return { label: data.result[item].firstName, value: data.result[item].firstName };
        //                }))

        //            }
        //        })
        //    },
        //    select: function (event, ui) {
        //        $('#personname').val(ui.item.label);
        //        $('#PersonId  :selected').text(ui.item.value);
        //        return false;
        //    }
        //});


     

        


      
    //function visible()
    //{


    //    $("#AddEditClient").css("Display","Block");

    //}

        //function OnGridSelectionChanged() {
        //    var value = grid.GetSelectedFieldValues('Id', OnGridSelectionComplete);
        //    alert(value);
        //}
    //function OnSelectionIndexChanged() {

    //    var val = {
    //        SelectedItem:selectedKeys.GetValue()
    //    };

    //    alert(val);
    //    //$.ajax({
    //    //    url: "/SiteInterfaceMapping/GetSiteInterfaceMappingList",
    //    //    type: "POST",
    //    //    dataType: "json",
    //    //    contentType: 'application/json',
    //    //    data: JSON.stringify(data),
    //    //});
        //}

        //$('#personname').autocomplete({
        //    source: function (request, response) {
        //        $.ajax({
        //            url: "/ClientTeamMembers/getpersons",
        //            data: { Prefix: request.term },
        //            dataType: 'json',
        //            type: 'GET',
        //            async: true,
        //            success: function (data) {

        //                response($.each(data.result, function (i) {
                          
                 
        //                    return {
        //                        label: data.result[i].name,
        //                        value: data.result[i].id
        //                    }
        //                }));
        //            }
        //        })
        //    },
        //    select: function (event, ui) {
        //        $('#personname').val(ui.item.label);
        //        $('#PersonId').val(ui.item.value);
        //        return false;
        //    },
        //    minLength: 1
        //});
    function cancelall()
    {



        $("#PersonId").val('');
        $("#ClientTeamId").val('');
        $("#personname_I").val('');
        $("#teamname_I").val('');
       


        return false;
    }

    var selectedKeys = "";
    


    </script>
   
<div class="second-menu">
    <h3>Team Members</h3>
    @*<ul class="org-inner-menu">
        <li><a href="#">Contact Site Manager</a></li>
        <li><a href="#">Help</a></li>
        <li><a href="#">Report Error</a></li>
        <li><a href="#">Report Error</a></li>
    </ul>*@
</div>
<!-- End Second Menu -->
<!-- Start Examples -->
<div class="examples">
    <div id="testDivNested">
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
            <!-- Start White Inner -->
            <div id="teams">
                <div class="white_inner">
                    <!-- Start teams -->
                    <div class="teams">
                        <div class="top_name">
                            Team Members
                        </div>
                        <div class="inner">
                            @Html.Action("GridViewPartial")
                        
                        </div>
                        <a href="/clientTeamMembers/Create/" class="btn_new">Add person </a>
                    </div>
                    <!-- End teams -->
                    <!-- Start teams -->
                    <div class="teams">
                        <div class="top_name">
                            Selected Team

                        </div>
  
                        <div class="inner2" id="clientTeam">
                         
                            @*@Html.Action("GridViewPartial1",impp)*@
                            @*<div class="name">
                                <span style="color:#5b5b5b;">&nbsp;</span>
                            </div>
                            <div class="row_team2">
                                <span class="coll">Sensor</span>
                                <span class="coll">Data Feed</span>
                                <span class="coll">Sensor Type</span>
                            </div>
                            <div class="row_team">
                                <span class="coll">[Sensor]</span>
                                <span class="coll">[Data Feed]</span>
                                <span class="coll">[Data Feed]</span>
                                <span class="coll"><a href="#">Remove</a></span>
                            </div>
                            <div class="row_team">
                                <span class="coll">[Sensor]</span>
                                <span class="coll">[Data Feed]</span>
                                <span class="coll">[Data Feed]</span>
                                <span class="coll"><a href="#">Remove</a></span>
                            </div>
                            <div class="row_team">
                                <span class="coll">[Sensor]</span>
                                <span class="coll">[Data Feed]</span>
                                <span class="coll">[Data Feed]</span>
                                <span class="coll"><a href="#">Remove</a></span>
                            </div>*@
                        </div>
               
                    </div>
            
                    <!-- End teams -->
                </div>
            </div>
            <!-- End White Inner -->
            <!-- Start Bottom Details -->
            <div class="bottom delete2">
             
                @Html.Partial("_AddEditPartial", clients)
            </div>
            <!-- End Bottom Details -->
        </div>
    </div>
</div>



  





